/*
    Copyright (C) 2003 Alan Broun

    This file is part of Camel.

    Camel is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Camel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Camel; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

//------------------------------------------------------------------------------
// File: PlayerPlane.h
// Desc: Provides the functionality for the plane that the player flies.
//------------------------------------------------------------------------------

#ifndef _H_PLAYERPLANE_
#define _H_PLAYERPLANE_

//------------------------------------------------------------------------------
// Include Files
//------------------------------------------------------------------------------
#include "AutoPlane.h"

class PlayerPlane : public AutoPlane 
{
public:
    PlayerPlane(Level *L, PLANE_STATE State, Point2D Pos, bool Inverted, int Direction);
    ~PlayerPlane();

    void Update(uint dt);
};

#endif // _H_PLAYERPLANE_
