/*
    Copyright (C) 2003 Alan Broun

    This file is part of Camel.

    Camel is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Camel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Camel; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

//-----------------------------------------------------------------------------
// File: globals.h
// Desc: These are just common typedefs, structs and defines that that are
//       used in most of my C/C++ programming
//-----------------------------------------------------------------------------

#ifndef _H_GLOBALS_
#define _H_GLOBALS_

//-----------------------------------------------------------------------------
// Structs, Typedefs and Enums
//-----------------------------------------------------------------------------
typedef char int8;
typedef short int16;
typedef int int32;

typedef unsigned char uint8;
typedef unsigned short uint16;
typedef unsigned int uint32;

typedef unsigned char uchar;
typedef unsigned short ushort;
typedef unsigned int uint;

typedef struct _uint24 {
    unsigned int i : 24;
} uint24;

typedef struct _int24 {
    signed int i : 24;
} int24;

#endif // _H_GLOBALS_
